Update site
curl --request PUT \
--url https://api.surefeedback.com/api/v1/sites/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"domain": "<string>",
"is_active": true
}
'import requests
url = "https://api.surefeedback.com/api/v1/sites/{id}"
payload = {
"name": "<string>",
"domain": "<string>",
"is_active": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', domain: '<string>', is_active: true})
};
fetch('https://api.surefeedback.com/api/v1/sites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "880e8400-e29b-41d4-a716-446655440003",
"name": "Main Website Updated"
}
}
Sites
Update site
Update a site’s name, domain, or settings.
PUT
/
sites
/
{id}
Update site
Updates the configuration of an existing site.
Path parameters
string
required
UUID of the site.
Request body
string
New display name for the site.
string
Updated domain. Must be unique if changed.
boolean
Activate or deactivate the site.
{
"success": true,
"data": {
"id": "880e8400-e29b-41d4-a716-446655440003",
"name": "Main Website Updated"
}
}
Was this page helpful?
⌘I